Bug 1565137 - new-kernel-pkg doesn't parse --devtree= argument properly
Summary: new-kernel-pkg doesn't parse --devtree= argument properly
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: grubby
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-09 13:18 UTC by Petr Benes
Modified: 2019-11-27 19:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 19:00:44 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Benes 2018-04-09 13:18:10 UTC
Hi there,

Description of problem:

	--devtree*)
	    if [[ $1 == --devtree\=* ]]; then
		devtreefile=${1#--devtreefile=}  <--- doesn't do what was intended
	    else
		devtreefile=$2
		shift
	    fi
;;

given there is also:

--devtreedir*)
	    if [[ $1 == --devtreedir\=* ]]; then
		devtreedir=${1#--devtreedir=}
	    else
		devtreedir=$2
		shift
	    fi
;;

stanza. I'd suggest:

	--devtree=*|--devtree)
	    if [[ $1 == --devtree\=* ]]; then
		devtreefile=${1#--devtree=}
	    else
		devtreefile=$2
		shift
	    fi
	    ;;

	--devtreedir=*|--devtreedir)
	    if [[ $1 == --devtreedir\=* ]]; then
		devtreedir=${1#--devtreedir=}
	    else
		devtreedir=$2
		shift
	    fi
            ;;

BTW: How legal is to specify both --devtree and --devtreedir?

Comment 1 Jan Kurik 2018-08-14 10:07:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 2 Ben Cotton 2019-10-31 20:53:48 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-11-27 19:00:44 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.